Bug 1975276 - Enabling a RH repo is not reflected in the list of enabled repos
Summary: Enabling a RH repo is not reflected in the list of enabled repos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.10.0
Hardware: x86_64
OS: Linux
low
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: addubey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-23 11:33 UTC by Pavel Moravec
Modified: 2021-11-16 14:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:12:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32997 0 Low New Enabling a RH repo is not reflected in the list of enabled repos 2021-07-12 18:24:02 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:12:16 UTC

Description Pavel Moravec 2021-06-23 11:33:25 UTC
Description of problem:
Enabling some RH repositories on WebUI URI /redhat_repositories, when I click to add a repository, it does not appear in the right list of enabled repositories. The list just updates the counter to e.g. "NaN-NaN of 9" (I started with no repo enabled and added 9 repos), but the list below is empty.

Refreshing the page, I do see all the enabled repos, though.

Crucial point here is to check "Recommended Repositories". With this enabled, I can reproduce it. With that disabled, all works fine.


Version-Release number of selected component (if applicable):
Sat 6.10 spin 4
satellite-6.10.0-0.1.beta.el7sat.noarch
katello-4.1.0-0.6.rc2.el7sat.noarch


How reproducible:
100%


Steps to Reproduce:
1. A new Sat6.10 with imported manifest
2. WebUI: Content -> Red Hat Repositories (which shows no enabled repo, now - so far good)
3. Click to "Recommended Repositories"
4. Unwrap some repo groups and enable some repo.
5. See what happens in "Enabled repositories" section.


Actual results:
5. Even after the spinner for the task to enable a repo is completed, the repo is not added/listed in "Enabled repositories" section. Just the stats like "NaN-NaN of 2" is updated.


Expected results:
List of enabled repos to be updated as well.


Additional info:
I don't see this happening in Sat6.9, so it sounds like a regression in user experience.

I do use Firefox 88.

Comment 1 Andrew 2021-07-12 18:15:12 UTC
Created redmine issue https://projects.theforeman.org/issues/32997 from this bug

Comment 2 Bryan Kearney 2021-07-14 16:02:13 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32997 has been resolved.

Comment 3 addubey 2021-08-23 11:51:07 UTC
Verified.


Tested on: Satellite-6.10.0 Snap 14.0



Steps followed: 

Go to Satellite WebUI >> Content >> Repositories >> Toggle Recommended repositories >> Unwrapping repo groups and enabling them >> List of enabled repositories visible in the right list of enabled repositories 
section.



Observation: Enabled repositories are visible now as expected in the Enabled repositories section.



Additional info: Also worked fine with Firefox.

Comment 6 errata-xmlrpc 2021-11-16 14:12:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.